extends KinematicBody2D

const GRAVITY = 980.0

var velocity = Vector2()

func _fixed_process(delta):
	
	velocity.y += GRAVITY * delta
	
	var motion = velocity * delta
	if motion != Vector2(0,0):
		motion = move( motion )

func _ready():
	velocity.y = -300
	audio.play_sound("poop_projectile")
	set_fixed_process(true)
	